# hponcfg – Configure HP iLO interface using hponcfg

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Status

## Synopsis

- This modules configures the HP iLO interface using hponcfg.

## Requirements

The below requirements are needed on the host that executes this module.

- hponcfg tool

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
executable - added in 2.4 | Default: "hponcfg" | Path to the hponcfg executable (`hponcfg` which uses $PATH).
minfw - |  | The minimum firmware level needed.
path - / required |  | The XML file as accepted by hponcfg. aliases: src

verbose
boolean
added in 2.4

Choices:
- no ←
- yes

Run hponcfg in verbose mode (-v).

## Notes

Note

- You need a working hponcfg on the target system.

## Examples

    - name: Example hponcfg configuration XML
      copy:
        content: |
          <ribcl VERSION="2.0">
            <login USER_LOGIN="user" PASSWORD="password">
              <rib_info MODE="WRITE">
                <mod_global_settings>
                  <session_timeout value="0"/>
                  <ssh_status value="Y"/>
                  <ssh_port value="22"/>
                  <serial_cli_status value="3"/>
                  <serial_cli_speed value="5"/>
                </mod_global_settings>
              </rib_info>
            </login>
          </ribcl>
        dest: /tmp/enable-ssh.xml

    - name: Configure HP iLO using enable-ssh.xml
      hponcfg:
        src: /tmp/enable-ssh.xml

    - name: Configure HP iLO on VMware ESXi hypervisor
      hponcfg:
        src: /tmp/enable-ssh.xml
        executable: /opt/hp/tools/hponcfg

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Dag Wieers (@dagwieers)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.